=== debian/changelog ===
fcitx5-qt (5.1.9-1build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:08 -0500

fcitx5-qt (5.1.9-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:09:57 -0600

fcitx5-qt (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 09:23:41 -0500

fcitx5-qt (5.1.8-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit Wayland support to Linux archs, as Wayland is available only there.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2024 18:24:33 -0400

fcitx5-qt (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix compatibility with Qt 6.8.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Oct 2024 12:06:14 -0400

fcitx5-qt (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:55:17 -0400
