=== debian/changelog ===
fcitx5-qt (5.1.10-3) unstable; urgency=medium

  * Rebuild against the latest fcitx5 and gcc-15 toolchain again.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 09:19:09 -0400

fcitx5-qt (5.1.10-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1096618)
  * debian/control: Move main package description to the source package
    section.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:40:40 -0400

fcitx5-qt (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Aug 2025 22:13:25 -0400
