## fcitx5-qt 5.1.11

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-qt)
