=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev (>= 5.1.14-4~),
 libxcb1-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland [linux-any],
 qt6-wayland-dev [linux-any],
 qt6-wayland-private-dev [linux-any],
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
Description: Qt IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.

Package: fcitx5-frontend-qt5
Architecture: any
Section: libs
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt5 IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: fcitx5-frontend-qt6
Architecture: any
Section: libs
Depends:
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt6 IM Module for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 ${source:Extended-Description}
 .
 This package provides the shared data files for fcitx5-qt.

Package: libfcitx5-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qtbase5-dev,
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt5 support for fcitx5.

Package: libfcitx5-qt6-1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt6 library and IM module for fcitx5
 ${source:Extended-Description}
 .
 This package provides the Qt6 support for fcitx5.

Package: libfcitx5-qt6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 qt6-base-dev,
 libfcitx5-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Qt6 library and IM module for fcitx5 (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for fcitx5-qt (qt6).
