=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fcitx5-qt
 Section: utils
-Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -19,8 +19,7 @@
  qt6-wayland-private-dev [linux-any],
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
